View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
18039Bug reports_ Unknownpublic2022-05-23 11:30
Reporterfajardas Assigned Togabrieljenik  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version5.3.x 
Summary18039: Survey Permissions
Description

In "survey permissions", in "Edit survey permissions for user X", i have in "Permission to create/update/delete/import/export participants" option marked as read and export, but in the menu on the left side in "survey menu" this option ("Survey Participants"), dont appear, look for images bellow.

Steps To Reproduce

Steps to reproduce

(Replace this text with detailed step-by-step instructions on how to reproduce the issue)

Expected result

(Write here what you expected to happen)

Actual result

(Write here what happened instead)

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)Version 5.3.9+220411
I will donate to the project if issue is resolvedNo
BrowserFirefox 99.0.1
Database type & version10.6.4-MariaDB
Server OS (if known)Centos
Webserver software & version (if known)Apache
PHP Version7.4.29

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

fajardas

fajardas

2022-04-18 11:40

reporter  

12.png (119,092 bytes)
Capturar2.png (56,221 bytes)   
Capturar2.png (56,221 bytes)   
gabrieljenik

gabrieljenik

2022-05-10 21:14

manager   ~69555

PR: https://github.com/LimeSurvey/LimeSurvey/pull/2414

gabrieljenik

gabrieljenik

2022-05-10 21:16

manager   ~69556

In LTS I think it requires "update" permission on tokens to be able to show the menu option.
In master used "read". Seems a better fit.

gabrieljenik

gabrieljenik

2022-05-19 20:56

manager   ~69883

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33507

LimeBot

LimeBot

2022-05-23 11:30

administrator   ~69970

Fixed in Release 5.3.16+220523

Related Changesets

LimeSurvey: master fd987997

2022-05-19 20:37:57

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 18039: Survey participant menu entry not shown even though participant survey permission was given (#2414) Affected Issues
18039
mod - application/config/version.php Diff File
mod - application/core/LsDefaultDataSets.php Diff File
add - application/helpers/update/updates/Update_487.php Diff File

Issue History

Date Modified Username Field Change
2022-04-18 11:40 fajardas New Issue
2022-04-18 11:40 fajardas File Added: 12.png
2022-04-18 11:40 fajardas File Added: Capturar2.png
2022-05-09 18:50 gabrieljenik Assigned To => gabrieljenik
2022-05-09 18:50 gabrieljenik Status new => assigned
2022-05-09 18:50 gabrieljenik Status assigned => confirmed
2022-05-10 21:14 gabrieljenik Status confirmed => testing
2022-05-10 21:14 gabrieljenik Note Added: 69555
2022-05-10 21:14 gabrieljenik Bug heat 0 => 2
2022-05-10 21:16 gabrieljenik Note Added: 69556
2022-05-19 20:36 c_schmitz Status testing => resolved
2022-05-19 20:36 c_schmitz Resolution open => fixed
2022-05-19 20:56 gabrieljenik Changeset attached => LimeSurvey master fd987997
2022-05-19 20:56 gabrieljenik Note Added: 69883
2022-05-23 11:30 LimeBot Note Added: 69970
2022-05-23 11:30 LimeBot Status resolved => closed
2022-05-23 11:30 LimeBot Bug heat 2 => 4